summaryrefslogtreecommitdiff
path: root/travis.sh
diff options
context:
space:
mode:
Diffstat (limited to 'travis.sh')
-rwxr-xr-xtravis.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/travis.sh b/travis.sh
index 0b7d48a..02fede8 100755
--- a/travis.sh
+++ b/travis.sh
@@ -73,6 +73,12 @@ lua_script() {
genfiles_install() {
sudo apt-get update -qq
sudo apt-get install lua5.2 liblua5.2-dev
+
+ # Need a recent version of protoc to compile proto3 files.
+ wget https://github.com/google/protobuf/releases/download/v3.0.0-beta-2/protoc-3.0.0-beta-2-linux-x86_64.zip
+ unzip protoc-3.0.0-beta-2-linux-x86_64.zip
+ export PATH=.:$PATH
+ protoc --version || true
}
genfiles_script() {
# Avoid regenerating descriptor.pb, since its output can vary based on the
generated by cgit on debian on lair
contact matthew@masot.net with questions or feedback